import App from "./App.vue";
import Components from "./components/reports";
import * as filters from './filters' // global filters
import router from "./router"

import {
  Table,
  Select,
  Option,
  DatePicker
} from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';


Vue.component(Table.name, Table);
Vue.component(Select.name, Select);
Vue.component(Option.name, Option);
Vue.component(DatePicker.name, DatePicker);

// Vue.config.ignoreElements = ['wx-open-subscribe']

Vue.use(router)
Vue.use(Components);

Object.keys(filters).forEach(key => Vue.filter(key, filters[key]))
Vue.config.productionTip = false;

window.vm = new Vue({
  router,
  render: h => h(App)
}).$mount("#app");
